commit: e08c523025fbc4fea0379804c35a41ed3e792d58
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 14:43:29 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 14:43:29 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e08c5230
dev-python/matplotlib: Increase lock timeout
Increase lock timeout from 5 s to 30 s, in order to fix resulting
dev-python/xarray test failures on ppc64le.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/matplotlib/matplotlib-3.8.2.ebuild | 3 +++
1 file changed, 3 insertions(+)
diff --git a/dev-python/matplotlib/matplotlib-3.8.2.ebuild
b/dev-python/matplotlib/matplotlib-3.8.2.ebuild
index dfd06adc7866..fd83a4d0565a 100644
--- a/dev-python/matplotlib/matplotlib-3.8.2.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.8.2.ebuild
@@ -151,6 +151,9 @@ python_prepare_all() {
"${FILESDIR}"/matplotlib-3.8.0-test.patch
)
+ # increase lock timeout to 30 s
+ sed -i -e 's:retries = 50:retries = 300:' lib/matplotlib/cbook.py || die
+
hprefixify setupext.py
rm -rf libqhull || die